Bug 27575 - [CSS3 Backgrounds and Borders] Drop the prefix from background-size
: [CSS3 Backgrounds and Borders] Drop the prefix from background-size
Status: RESOLVED FIXED
: WebKit
CSS
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To:
:
:
:
: 27569
  Show dependency treegraph
 
Reported: 2009-07-22 15:45 PST by
Modified: 2009-08-21 17:37 PST (History)


Attachments
Patch (13.29 KB, patch)
2009-08-18 16:22 PST, Beth Dakin
mitz: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-07-22 15:45:08 PST
The prefix can be dropped from this property by eliminating -webkit-background-size (see how -webkit-opacity was handled).  There are no syntactic incompatibilities so the old version of the property can just map to the new one and be eliminated.
------- Comment #1 From 2009-08-18 16:22:20 PST -------
Created an attachment (id=35085) [details]
Patch
------- Comment #2 From 2009-08-18 16:26:56 PST -------
(From update of attachment 35085 [details])
r=me

You probably need to update test results for other platforms, but perhaps you can do it after you commit based on what the failures look like on those platforms’ bots.
------- Comment #3 From 2009-08-18 16:28:59 PST -------
Sounds good. I will monitor the Bots. Thanks Dan!
------- Comment #4 From 2009-08-18 16:37:27 PST -------
Fixed with r47462.
------- Comment #5 From 2009-08-21 17:37:07 PST -------
Confusingly, in addition to the platform/mac results that this updated, there are also expected results alongside the LayoutTests themselves, in LayoutTests/fast/css/getComputedStyle/ .  Should these be removed as "out of date" in favor of platform-specific ones, or the Mac ones be removed, or are things correct as-is?  If the last option, these should be updated too.